# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Interface ITextConstruct

All Known Implementing Classes:
  HtmlTextConstruct, PlainTextConstruct, TextConstruct, XhtmlTextConstruct

    public interface ITextConstruct

Shared text construct interface.

Nested Class Summary
`static class` `ITextConstruct.Type` Defines the possible text construct types: TEXT, HTML, and XHTML.

Method Summary
`java.lang.String` `getPlainText()` Returns a plain-text representation of this text construct.
`int` `getType()` Returns this text construct's type (text, HTML, or XHTML).

Method Detail

### getType

    int getType()

  Returns this text construct's type (text, HTML, or XHTML).

  Returns:
    an integer value of 1 to represent TEXT, 2 to represent HTML, or 3 to represent XHTML.

### getPlainText

    java.lang.String getPlainText()

  Returns a plain-text representation of this text construct.